-- NOTES:

-- play animation > particle explosion > whiteout > flag. In D-07


function onTalk()
	disableMovement()
	disableRetry()
	if getFlag("CoT_09_Lurien_done") then
		say("CC_XELKHK_CUTS_CoT_C")
	end
	if not getFlag("CoT_09_Lurien_done") and getFlag("DreamNail") then
		player.ForceCameraUpdate = true
		walkTo(4820)
		playSound("event:/CC/CC_HollowKnight/SFX/Scene/HeroDreamNailSlash",player.Position)
		wait(0.1)
		coroutine.yield(getLevel():ZoomTo(vector2(168, 80), 1.2, 0.5))
		setFlag("lurien1",true)
		wait(0.3)
		setFlag("lurien2",true)
		setFlag("lurienDiseappear", true)
		wait(1)
		coroutine.yield(getLevel():ZoomAcross(vector2(292,886), 1, 0.5))
		setFlag("lurien1",false)
		setFlag("lurien2",false)
		setFlag("lurienDiseappear", true)
		setFlag("Lurien", true)
		setFlag("CoT_09_Lurien_done",true)
		setFlag("map_Pin_Watcher", false)
	end
	if not getFlag("DreamNail") then
		say("CC_XELKHK_CUTS_CoT_B")
	end
end

function onEnd()
	enableMovement()
	enableRetry()

end